require 'mathn'

def com_objects_by_layer_id layer

  object_iter = mapx.Ingeo.ActiveDb.MapObjects.QueryByLayers(layer)
  objects = []
  while !object_iter.EOF
    objects << mapx.Ingeo.ActiveDb.MapObjects.GetObject(object_iter.ObjectID)
    object_iter.MoveNext
  end
  objects
end

def com_objects_by_style_id style,i

  object_iter = mapx.Ingeo.ActiveDb.MapObjects.QueryByStyle(style,i)

  objects = []
  while !object_iter.EOF
    objects << mapx.Ingeo.ActiveDb.MapObjects.GetObject(object_iter.ObjectID)
    object_iter.MoveNext
  end
  objects
end

def com_object_com_shapes object
  (0...object.Shapes.Count).map{|i| object.Shapes i }
end

def com_shape_com_contours shape
  (0...shape.Contour.Count).map{|i| shape.Contour i }
end

def com_contour_vertexs contour
  (0...contour.VertexCount).map{|i|
    contour.sGetVertex(i,0,0,0)
    WIN32OLE::ARGV.clone
  }
end

def arctg x
  Math.atan2 x, 1.0
end

def radian alpha
  alpha/180.0*Math::PI
end


def degree x
  x/Math::PI*180
end